SPIn specificationREST APIIntermediate Status

GetStatus

API Explorer
loading...
GET
/v2/IntermediateStatus/GetStatus

Retrieves the intermediate status of a transaction on the terminal. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Query Parameters

getRequest.tpn*string

Terminal profile number. Can be used to identify the terminal.

Length10 <= length <= 12
getRequest.referenceId?string

Reference Id. Can be used to identify the transaction.

getRequest.authkey?string

Merchant's authorization password.

Length10 <= length <= 10

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v2/IntermediateStatus/GetStatus?getRequest.tpn=stringstri"
{
  "StatusDateTime": "",
  "StatusText": "",
  "StatusCode": ""
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "1",
    "StatusCode": "1001",
    "Message": "Not Found",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}